#include <iostream>
#include <cmath>
#include <algorithm>
using namespace std;
struct fraction
{
    long long a,b;
    void reduce();
    fraction operator+(fraction);
    bool operator>(fraction);
};
void fraction::reduce()
{
    long long gcd=__gcd(a,b);
    a/=gcd;
    b/=gcd;
}
fraction fraction::operator+(fraction x)
{
    fraction res;
    res.a=a*x.b+x.a*b;
    res.b=b*x.b;
    res.reduce();
    return res;
}
bool fraction::operator>(fraction x)
{
    fraction y;
    y.a=a;
    y.b=b;
    y.a*=x.b;
    x.a*=y.b;
    y.b*=x.b;
    x.b=y.b;
    return y.a>x.a;
}
int main()
{
    fraction ch;
    fraction sum;
    sum.a=0;
    sum.b=1;
    ch.a=4;
    ch.b=1;
    int i=1;
    fraction temp;
    temp.a=1;
    fraction stops[32];
    for(;ch>sum;i++)
    {
        temp.b=i;
        sum=sum+temp;
        //cout<<i<<" "<<sum.a<<"/"<<sum.b<<endl;
        stops[i]=sum;
    }
    //cout<<i<<endl;
    fraction in;
    cin>>in.a;
    char c;
    cin>>c;
    cin>>in.b;
    i=1;
    while(in>stops[i])i++;
    stops[i].reduce();
    cout<<i<<endl;
    cout<<stops[i].a<<"/"<<stops[i].b<<endl;
return 0;
}
